import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:google_appid_changer/metadata.dart';

void main() {
  const MethodChannel channel = MethodChannel('metadata');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await Metadata.platformVersion, '42');
  });
}
